# Reference Documentation

## Protocols

-   [ApolloClientProtocol](protocols/ApolloClientProtocol/)
-   [ApolloErrorInterceptor](protocols/ApolloErrorInterceptor/)
-   [ApolloInterceptor](protocols/ApolloInterceptor/)
-   [Cancellable](protocols/Cancellable/)
-   [InterceptorProvider](protocols/InterceptorProvider/)
-   [NetworkTransport](protocols/NetworkTransport/)
-   [NormalizedCache](protocols/NormalizedCache/)
-   [RequestBodyCreator](protocols/RequestBodyCreator/)
-   [UploadingNetworkTransport](protocols/UploadingNetworkTransport/)

## Structs

-   [ApolloRequestBodyCreator](structs/ApolloRequestBodyCreator/)
-   [AutomaticPersistedQueryInterceptor](structs/AutomaticPersistedQueryInterceptor/)
-   [CacheReadInterceptor](structs/CacheReadInterceptor/)
-   [CacheWriteInterceptor](structs/CacheWriteInterceptor/)
-   [GraphQLError](structs/GraphQLError/)
-   [GraphQLError.Location](structs/GraphQLError.Location/)
-   [GraphQLExecutionError](structs/GraphQLExecutionError/)
-   [GraphQLFile](structs/GraphQLFile/)
-   [GraphQLGETTransformer](structs/GraphQLGETTransformer/)
-   [GraphQLResult](structs/GraphQLResult/)
-   [JSONResponseParsingInterceptor](structs/JSONResponseParsingInterceptor/)
-   [Record](structs/Record/)
-   [RecordSet](structs/RecordSet/)
-   [ResponseCodeInterceptor](structs/ResponseCodeInterceptor/)
-   [ResponsePath](structs/ResponsePath/)

## Classes

-   [ApolloClient](classes/ApolloClient/)
-   [ApolloStore](classes/ApolloStore/)
-   [ApolloStore.ReadTransaction](classes/ApolloStore.ReadTransaction/)
-   [ApolloStore.ReadWriteTransaction](classes/ApolloStore.ReadWriteTransaction/)
-   [DefaultInterceptorProvider](classes/DefaultInterceptorProvider/)
-   [EmptyCancellable](classes/EmptyCancellable/)
-   [GraphQLQueryWatcher](classes/GraphQLQueryWatcher/)
-   [GraphQLResponse](classes/GraphQLResponse/)
-   [HTTPRequest](classes/HTTPRequest/)
-   [HTTPResponse](classes/HTTPResponse/)
-   [InMemoryNormalizedCache](classes/InMemoryNormalizedCache/)
-   [JSONRequest](classes/JSONRequest/)
-   [JSONSerializationFormat](classes/JSONSerializationFormat/)
-   [MaxRetryInterceptor](classes/MaxRetryInterceptor/)
-   [MultipartFormData](classes/MultipartFormData/)
-   [NetworkFetchInterceptor](classes/NetworkFetchInterceptor/)
-   [RequestChain](classes/RequestChain/)
-   [RequestChainNetworkTransport](classes/RequestChainNetworkTransport/)
-   [TaskData](classes/TaskData/)
-   [URLSessionClient](classes/URLSessionClient/)
-   [UploadRequest](classes/UploadRequest/)

## Enums

-   [ApolloClient.ApolloClientError](enums/ApolloClient.ApolloClientError/)
-   [AutomaticPersistedQueryInterceptor.APQError](enums/AutomaticPersistedQueryInterceptor.APQError/)
-   [CachePolicy](enums/CachePolicy/)
-   [CacheWriteInterceptor.CacheWriteError](enums/CacheWriteInterceptor.CacheWriteError/)
-   [GraphQLFile.GraphQLFileError](enums/GraphQLFile.GraphQLFileError/)
-   [GraphQLHTTPRequestError](enums/GraphQLHTTPRequestError/)
-   [GraphQLResult.Source](enums/GraphQLResult.Source/)
-   [JSONResponseParsingInterceptor.JSONResponseParsingError](enums/JSONResponseParsingInterceptor.JSONResponseParsingError/)
-   [MaxRetryInterceptor.RetryError](enums/MaxRetryInterceptor.RetryError/)
-   [RequestChain.ChainError](enums/RequestChain.ChainError/)
-   [ResponseCodeInterceptor.ResponseCodeError](enums/ResponseCodeInterceptor.ResponseCodeError/)
-   [URLSessionClient.URLSessionClientError](enums/URLSessionClient.URLSessionClientError/)

## Extensions

-   [ApolloClient](extensions/ApolloClient/)
-   [ApolloExtension](extensions/ApolloExtension/)
-   [Dictionary](extensions/Dictionary/)
-   [GraphQLError](extensions/GraphQLError/)
-   [GraphQLGETTransformer](extensions/GraphQLGETTransformer/)
-   [GraphQLResponse](extensions/GraphQLResponse/)
-   [GraphQLResult](extensions/GraphQLResult/)
-   [HTTPRequest](extensions/HTTPRequest/)
-   [HTTPResponse](extensions/HTTPResponse/)
-   [InterceptorProvider](extensions/InterceptorProvider/)
-   [MultipartFormData](extensions/MultipartFormData/)
-   [NetworkTransport](extensions/NetworkTransport/)
-   [Record](extensions/Record/)
-   [RecordSet](extensions/RecordSet/)
-   [RequestBodyCreator](extensions/RequestBodyCreator/)
-   [RequestChainNetworkTransport](extensions/RequestChainNetworkTransport/)
-   [ResponsePath](extensions/ResponsePath/)
-   [Selection.Field](extensions/Selection.Field/)

## Typealiases

-   [CacheKey](typealiases/CacheKey/)
-   [CacheKeyForObject](typealiases/CacheKeyForObject/)
-   [DataLoader.BatchLoad](typealiases/DataLoader.BatchLoad/)
-   [DidChangeKeysFunc](typealiases/DidChangeKeysFunc/)
-   [GraphQLResultHandler](typealiases/GraphQLResultHandler/)
-   [JSONObject](typealiases/JSONObject/)
-   [JSONValue](typealiases/JSONValue/)
-   [Record.Fields](typealiases/Record.Fields/)
-   [Record.Value](typealiases/Record.Value/)
-   [ResponsePath.Key](typealiases/ResponsePath.Key/)
-   [URLSessionClient.Completion](typealiases/URLSessionClient.Completion/)
-   [URLSessionClient.RawCompletion](typealiases/URLSessionClient.RawCompletion/)

## Methods

-   [unzip(__)](methods/unzip(__)/)
-   [unzip(__)](methods/unzip(__)/)

This file was generated by [SourceDocs](https://github.com/eneko/SourceDocs)